using Microsoft.OData.Edm;
using Microsoft.OData.ModelBuilder;

Fast.Shared.ProgramShared.CustomEdmModel = Helper.GetCustomEdmModel();
Fast.Shared.ProgramShared.Configure(args, Type.GetType("Fast.Logic.JobsHelper"));
await Fast.Shared.ProgramShared.RunAsync();

namespace Fast.Web
{
    public static class Helper
    {
        public static IEdmModel GetCustomEdmModel()
        {
            var builder = new ODataConventionModelBuilder();

            builder.Function("GetMarketPriceItems").Returns<MarketPriceItem>();
            builder.Function("GetPriceIndexItems").Returns<PriceIndexItem>();

            return builder.GetEdmModel();
        }
    }
}
